Subject: bug#36466: closed (Re: bug#36466: guix pull --delete-generations)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 12 Jul 2019 17:08:02 +0000

Your bug report

#36466: guix pull --delete-generations

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36466: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36466
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36466: guix pull --delete-generations
From: Ludovic Courtès <[email-masked]>
To: Raghav Gururajan <[email-masked]>
Cc: Ricardo Wurmus <[email-masked]>, [email-masked]
Date: Fri, 12 Jul 2019 19:07:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Raghav Gururajan <[email-masked]> skribis:

>> Good catch!  This bug should now be fixed by
>> 5c3d44303e1bb75d45334af5cf86cde723da0371.
>> 
>> Could you check if it works for you?
>
> Thank you very much. It worked. Phew! 5GB of data in user and 3GB of
> data in root; was removed by `guix gc --delete-generations`. ☺

Good!  I’m closing this bug now, but do reopen it if you think there are
other things we should do.

Ludo’.

Subject: guix pull --delete-generations
From: Raghav Gururajan <[email-masked]>
To: [email-masked]
Date: Mon, 01 Jul 2019 14:53:06 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix!

I would like to report that "guix pull --delete-generations" is missing
and its absence can be considered as a bug.

Due to this, users cannot straight-forwardly delete guix pull
generations and garbage collect them via guix gc. This causes too much
accumulation of generations and its files in the storage.

I request the admin to set the severity and priority of this bug to
"high".

Thank you!

Regards,
RG.